%define upstream_name    XML-SAX-Base
%define upstream_version 1.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Exception classes for XML::SAX
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module has a very simple task - to be a base class for PerlSAX drivers
and filters. It's default behaviour is to pass the input directly to the
output unchanged. It can be useful to use this module as a base class so
you don't have to, for example, implement the characters() callback.

The main advantages that it provides are easy dispatching of events the
right way (ie it takes care for you of checking that the handler has
implemented that method, or has defined an AUTOLOAD), and the guarantee
that filters will pass along events that they aren't implementing to
handlers downstream that might nevertheless be interested in them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.90.0-4.mga8
+ Revision: 1507034
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.90.0-3.mga7
+ Revision: 1287316
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 tv <tv> 1.90.0-2.mga7
+ Revision: 1250606
- rebuild for perl-5.28

* Sun Jul 23 2017 shlomif <shlomif> 1.90.0-1.mga7
+ Revision: 1129061
- update to 1.09

* Sun Jun 19 2016 pterjan <pterjan> 1.80.0-7.mga6
+ Revision: 1036111
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.80.0-6.mga6
+ Revision: 941318
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.80.0-5.mga5
+ Revision: 746589
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.80.0-4.mga5
+ Revision: 686959
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.80.0-3.mga4
+ Revision: 516241
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-2.mga3
+ Revision: 375176
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 148510
- imported package perl-XML-SAX-Base


* Mon Sep 26 2011 cpan2dist 1.08-1mga
- initial mageia release, generated with cpan2dist
